aboutsummaryrefslogtreecommitdiff
path: root/src/tests/test1.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/tests/test1.sh')
-rwxr-xr-xsrc/tests/test1.sh19
1 files changed, 9 insertions, 10 deletions
diff --git a/src/tests/test1.sh b/src/tests/test1.sh
index 52c2ba3..a432e5f 100755
--- a/src/tests/test1.sh
+++ b/src/tests/test1.sh
@@ -1,12 +1,11 @@
#!/bin/sh
-
-. ./framework.sh
-
-plan 2
-
-is "$(cat /proc/_test_module)" "You have no previous messages"
-
-echo kek > /proc/_test_module
-is "$(cat /proc/_test_module)" "Your last message was: kek"
-
+. libs/testing-library
+
+description "Test _test_module"
+plan 5
+is "$(cat /proc/_test_module)" "You have no previous messages" "No message read"
+ok $(echo kek > /proc/_test_module; echo "$?") "Successful write"
+is "$(cat /proc/_test_module)" "Your last message was: kek" "Message read"
+ok $(echo something > /proc/_test_module; echo "$?") "Successful write"
+is "$(cat /proc/_test_module)" "Your last message was: kek" "Message read"
conclude